unit DMS1;

interface

uses
  SysUtils, Classes, DB, DBTables;

type
  TDMS = class(TDataModule)
    DB: TDatabase;
    tblBIOLIFE: TTable;
    tblCUSTOMER: TTable;
    tblCOUNTRY: TTable;
    dsBIOLIFE: TDataSource;
    dsCUSTOMER: TDataSource;
    dsCOUNTRY: TDataSource;
    tblBIOLIFESpeciesNo: TFloatField;
    tblBIOLIFECategory: TStringField;
    tblBIOLIFECommon_Name: TStringField;
    tblBIOLIFESpeciesName: TStringField;
    tblBIOLIFELengthcm: TFloatField;
    tblBIOLIFELength_In: TFloatField;
    tblBIOLIFENotes: TMemoField;
    tblBIOLIFEGraphic: TGraphicField;
    tblCUSTOMERCustNo: TFloatField;
    tblCUSTOMERCompany: TStringField;
    tblCUSTOMERAddr1: TStringField;
    tblCUSTOMERAddr2: TStringField;
    tblCUSTOMERCity: TStringField;
    tblCUSTOMERState: TStringField;
    tblCUSTOMERZip: TStringField;
    tblCUSTOMERCountry: TStringField;
    tblCUSTOMERPhone: TStringField;
    tblCUSTOMERFAX: TStringField;
    tblCUSTOMERTaxRate: TFloatField;
    tblCUSTOMERContact: TStringField;
    tblCUSTOMERLastInvoiceDate: TDateTimeField;
    tblCOUNTRYName: TStringField;
    tblCOUNTRYCapital: TStringField;
    tblCOUNTRYContinent: TStringField;
    tblCOUNTRYArea: TFloatField;
    tblCOUNTRYPopulation: TFloatField;
    procedure DataModuleCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DMS: TDMS;

implementation

{$R *.dfm}

procedure TDMS.DataModuleCreate(Sender: TObject);
begin
  DMS.tblBIOLIFE.Open;
  DMS.tblCOUNTRY.Open;
  DMS.tblCUSTOMER.Open;
end;

end.
